// ******************************************************************************************
// Mod Name: InternetWars
// Mod Id: 5af88022-fed0-438e-80e1-ab85911dd895
// Mod Version: 0.0.4
// Mod File: code.js
// ******************************************************************************************
// Author: 2eke
// Last modified: 8/9/2016 4:49 PM
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var InternetWars = {};

(function(){

// ******************************************************************************************
// Researches: Engines
// ******************************************************************************************

// Adding Simple Lighting Effects
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "3b4d48b9-795a-4f9f-9eca-123bf2adf1f5",
	name: "Simple Lighting Effects",
	canResearch: function () {
							var res = true;

						return res;
				},
	category: "World Design",
	categoryDisplayName: "World Design",
	v: 2
	});

// Adding Advanced Lighting Effects
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "ba156917-a28e-40bf-93c1-3f81dfd88b6b",
	name: "Advanced Lighting Effects",
	canResearch: function () {
							var res = true;

						return res;
				},
	category: "World Design",
	categoryDisplayName: "World Design",
	v: 4
	});

// Adding Sentient AI
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "94431a04-e386-4880-a5ca-139f22d6aece",
	name: "Sentient AI",
	canResearch: function () {
							var res = true;

						return res;
				},
	category: "A.I.",
	categoryDisplayName: "AI",
	v: 14
	});

// Adding Retro Soundtrack
// -----------------------------------------------------------
UltimateLib.Research.addEngineResearch({
	id: "c5bf0793-a791-4fa9-b3eb-c02db5e18436",
	name: "Retro Soundtrack",
	canResearch: function () {
							var res = true;

						return res;
				},
	category: "Sound",
	categoryDisplayName: "Sound",
	v: 1
	});


// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding ChromeWheel
// -----------------------------------------------------------
GDT.addPlatform({
	id:"7c2d69b1-a905-4ad5-9715-0ec526d9300b",
	name:"ChromeWheel",
	company:"Doogle",
	startAmount:0.0005,
	unitsSold:1E2,
	licencePrize:5E6,
	published:"28/5/1",
	platformRetireDate:"10000/12/4",
	developmentCosts:2E6,
	genreWeightings:[  0.9, 0.8, 1, 1, 1, 1 ],
	audienceWeightings:[  0.9, 0.9, 0.9 ],
	techLevel:7,
	iconUri: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/platforms/doogle.png",
	events:[{
	id: "02f952ab-444a-4fae-9761-4a6eea93dbc8",
	date: "21/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Doogle Enters the Game Industry!",
	text: "Doogle has released the ChromeWheel with no announcement until now! It is planned to bring a whole new meaning to the word \\\"console\\\".",
	image: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/notifications/207.png",
	buttonText: "Say WAAAAAA!",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding GreenCube
// -----------------------------------------------------------
GDT.addPlatform({
	id:"77903abf-40be-4165-92e6-5185c63a2d09",
	name:"GreenCube",
	company:"Greenheart Games",
	startAmount:0.000599,
	unitsSold:5,
	licencePrize:1E6,
	published:"21/8/1",
	platformRetireDate:"250/1/1",
	developmentCosts:5E5,
	genreWeightings:[  0.8, 0.9, 1, 1, 0.8, 0.9 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:6,
	iconUri: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/platforms/GreenCube.png",
	events:[{
	id: "7fcf9ae1-e0f1-4bfc-a11f-605e9747accb",
	date: "21/8/1",
	isRandom: false,
	ignoreGameLengthModifier: true,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "New Console!",
	text: "The GreenCube is manufactured by Greenheart Games, known for their hit, Game Dev Tycoon! It is unknown how long it has been in development.",
	image: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/notifications/greeeeeeen.png",
	buttonText: "Sweet",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "157e0377-6120-4c2e-869e-b2c3c0920025",
	date: "21/6/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Greenheart Games's Console?",
	text: "Greenheart Games has recently announced their console, The GreenCube, it is planned to challenge the mBox 360 and Playsystem 3",
	image: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/notifications/greeeeeeen.png",
	buttonText: "Cool Cool",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding HoloFox
// -----------------------------------------------------------
GDT.addPlatform({
	id:"ba227805-3f37-4fe3-9bcf-abaf441081c6",
	name:"HoloFox",
	company:"BlueFox",
	startAmount:0.000149,
	unitsSold:1E3,
	licencePrize:1E6,
	published:"28/6/3",
	platformRetireDate:"10000/1/1",
	developmentCosts:5E6,
	genreWeightings:[  0.6, 0.9, 1, 1, 1, 0.8 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:6,
	iconUri: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/platforms/bluefox console.png",
	events:[{
	id: "d742b759-6b46-4b34-9ab7-594d668ca205",
	date: "28/6/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "BlueFox Enters the Arena!",
	text: "In response to the Doogle ChromeWheel, BlueFox has announced their own console, the HoloFox will be weaker than the ChromeWheel but has the price of $149, far cheaper the Doogle's option, will Doogle lower the price of the ChromeWheel?\\n[FIND OUT NEXT EPISODE ON DINO SPHERE Z]",
	image: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/notifications/bluefox console.png",
	buttonText: "Cheap Console? Sweet",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "54e20b02-7bd8-4923-988d-671e18d38f32",
	date: "28/6/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "HoloFox Released",
	text: "The BlueFox HoloFox has been released!",
	image: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/notifications/bluefox console.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Tafari Journey
// -----------------------------------------------------------
GDT.addPlatform({
	id:"dabd52dc-e89f-4f58-ad31-fedb2e950c02",
	name:"Tafari Journey",
	company:"Grapple",
	startAmount:0.001,
	unitsSold:0.75,
	licencePrize:1E7,
	published:"28/8/4",
	platformRetireDate:"38/4/2",
	developmentCosts:2E4,
	genreWeightings:[  0.8, 1, 1, 1, 0.6, 0.6 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:5,
	iconUri: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/platforms/The Journey.png",
	events:[{
	id: "09d03305-0579-4eeb-ad3c-008106ec9ce7",
	date: "28/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Grapple's Console?",
	text: "Grapple has decided to make a console of their own, it is not advanced and less superior than the ChromeWheel or HoloFox.\\nThey are not setting for a low price either. Steven Bills is quoted \\\"We are new to the gaming industry and will see if we can make a battle!\\\". Our answer to that idea, obviosly not...",
	image: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/notifications/Tafari.png",
	buttonText: ":(",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "15610bed-108d-4342-a1b7-5599da4792a6",
	date: "28/11/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Tafari Adventure",
	text: "Ooh boy, the console no one looked forward to is out.",
	image: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/notifications/Tafari.png",
	buttonText: "LOL",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding The Tracer
// -----------------------------------------------------------
GDT.addPlatform({
	id:"2be850e1-1467-45f4-865f-fe9f2f8d74e3",
	name:"The Tracer",
	company:"Sandstorm Games",
	startAmount:0,
	unitsSold:0,
	licencePrize:0,
	published:"27/5/4",
	platformRetireDate:"38/9/2",
	developmentCosts:0,
	genreWeightings:[  1, 0.8, 0.9, 0.6, 1, 0.9 ],
	audienceWeightings:[  0.8, 0.9, 1 ],
	techLevel:6,
	iconUri: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/platforms/Tracer.png",
	events:[{
	id: "8ab788e8-91aa-4ea2-a4b0-1bf2c813c66c",
	date: "26/6/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Sandstorm Releases a Console!",
	text: "Sandstorm known for their MMO title, Planet of War, strategy StarCreation, and team based shooter, Underlook, will be releasing a console later next year!",
	image: mod5af88022fed0438e80e1ab85911dd895.modPath + "/images/notifications/Tracer.png",
	buttonText: "Nice Parody Names",
	weeksUntilFired: 0
	});} 
	}
]
	});


// ******************************************************************************************
// Topics
// ******************************************************************************************

GDT.addTopics([
{ 
	id: "d95a2199-4955-48e0-8ade-b221e79e6aed",
	name: "Sandbox",
	genreWeightings: [  0.8, 0.7, 0.8, 1, 0.6, 1 ],
	audienceWeightings: [  1, 1, 0.8 ]
	 }
,{ 
	id: "5723fcb4-aa17-499e-9ea1-a4e0857f13e0",
	name: "Virus",
	genreWeightings: [  0.7, 0.6, 0.7, 1, 1, 0.8 ],
	audienceWeightings: [  0.6, 0.9, 1 ]
	 }
,{ 
	id: "7cca0223-b8f2-423b-994b-30cfe493e4a7",
	name: "Puzzle",
	genreWeightings: [  0.6, 0.8, 0.9, 1, 1, 0.8 ],
	audienceWeightings: [  0.8, 1, 0.7 ]
	 }
,{ 
	id: "acbadb06-e24f-4a66-af06-923aad37270a",
	name: "Utube",
	genreWeightings: [  0.6, 0.6, 0.6, 1, 0.8, 0.8 ],
	audienceWeightings: [  1, 0.9, 1 ]
	 }
,{ 
	id: "e189ecc5-5762-4cb6-ae72-16cefa742ee4",
	name: "Art",
	genreWeightings: [  0.6, 0.6, 0.7, 1, 0.6, 1 ],
	audienceWeightings: [  1, 0.8, 0.6 ]
	 }
,{ 
	id: "09a385c3-35b8-40ac-9a76-9ece75dff686",
	name: "Dinosaurs",
	genreWeightings: [  1, 1, 0.8, 1, 0.6, 0.8 ],
	audienceWeightings: [  1, 0.9, 0.7 ]
	 }
,{ 
	id: "e71057c1-13a9-48bf-9eaf-fc85dde8c970",
	name: "Parkour",
	genreWeightings: [  1, 0.8, 0.6, 1, 0.6, 0.8 ],
	audienceWeightings: [  0.8, 0.9, 1 ]
	 }
,{ 
	id: "de50c6e9-6d3f-4f8e-879d-6ba6b6f46a90",
	name: "Tower Defense",
	genreWeightings: [  0.7, 0.6, 0.6, 0.7, 1, 0.9 ],
	audienceWeightings: [  1, 0.9, 0.8 ]
	 }
,{ 
	id: "fa87dff9-ea33-4cbb-91e2-36a4b977974e",
	name: "Hack n' Slash",
	genreWeightings: [  1, 0.8, 1, 0.7, 0.6, 0.8 ],
	audienceWeightings: [  1, 0.9, 0.8 ]
	 }
,{ 
	id: "a1ff9785-ffe3-4968-9743-e38e73a52615",
	name: "Crime",
	genreWeightings: [  1, 0.8, 0.7, 1, 0.9, 0.8 ],
	audienceWeightings: [  0.6, 0.8, 1 ]
	 }
,{ 
	id: "2a42abfe-74da-4e59-b9cf-5d63a6cd7954",
	name: "Illusion",
	genreWeightings: [  0.6, 0.6, 0.6, 0.8, 1, 0.9 ],
	audienceWeightings: [  0.9, 1, 0.7 ]
	 }
,{ 
	id: "031f313c-aa86-44d1-8ff7-b1688ced0979",
	name: "Colony",
	genreWeightings: [  0.7, 0.7, 0.9, 1, 0.9, 0.8 ],
	audienceWeightings: [  0.7, 0.8, 0.9 ]
	 }
,{ 
	id: "69caf39e-f753-401d-b471-b14e5ab35fb5",
	name: "Mechanic",
	genreWeightings: [  0.8, 0.6, 0.6, 1, 0.6, 0.7 ],
	audienceWeightings: [  0.8, 0.9, 1 ]
	 }
,{ 
	id: "2ccaf9ed-f719-4660-94f5-b769aed3f449",
	name: "Mods",
	genreWeightings: [  0.9, 0.9, 0.9, 0.9, 0.9, 0.9 ],
	audienceWeightings: [  0.8, 0.9, 0.9 ]
	 }
,{ 
	id: "5d5098e6-af6f-41f9-a100-4b9fd8949550",
	name: "Cooking",
	genreWeightings: [  0.6, 0.6, 0.6, 1, 0.6, 0.8 ],
	audienceWeightings: [  1, 0.8, 0.6 ]
	 }
,{ 
	id: "4dfc461e-6647-47d9-b387-abf7c4935458",
	name: "Animal Havoc",
	genreWeightings: [  1, 0.6, 0.6, 1, 0.8, 0.9 ],
	audienceWeightings: [  1, 0.9, 0.8 ]
	 }
,{ 
	id: "ad6ad5b0-9ec8-4513-9b63-83aed3119c1a",
	name: "Underground",
	genreWeightings: [  1, 1, 1, 0.6, 0.8, 0.7 ],
	audienceWeightings: [  0.8, 0.9, 0.9 ]
	 }
,{ 
	id: "ffbb35a7-1866-4a3d-8091-0b0a934ade77",
	name: "Utopia",
	genreWeightings: [  0.7, 1, 1, 0.7, 0.6, 0.9 ],
	audienceWeightings: [  1, 0.8, 0.6 ]
	 }
,{ 
	id: "bb783bba-1b23-4745-99ce-40c7482d42f5",
	name: "Dystopia ",
	genreWeightings: [  1, 1, 1, 0.9, 1, 0.6 ],
	audienceWeightings: [  0.6, 0.8, 1 ]
	 }
,{ 
	id: "74a118ae-7c24-44d8-8476-d24844d0c283",
	name: "Dragons",
	genreWeightings: [  1, 0.8, 0.9, 1, 0.6, 0.7 ],
	audienceWeightings: [  0.9, 1, 0.9 ]
	 }
,{ 
	id: "a79d69f1-e3d1-44c7-a602-ac269be31402",
	name: "Sumo",
	genreWeightings: [  0.8, 0.6, 0.6, 0.9, 0.6, 0.7 ],
	audienceWeightings: [  0.6, 0.7, 0.6 ]
	 }
,{ 
	id: "1b9e62de-478b-40ed-9f0f-a567a935dfc7",
	name: "Magic",
	genreWeightings: [  0.9, 0.9, 1, 0.7, 0.8, 0.6 ],
	audienceWeightings: [  0.9, 1, 1 ]
	 }
,{ 
	id: "4df3e632-5945-4b30-8743-0209e83ad12f",
	name: "Anime",
	genreWeightings: [  1, 0.9, 1, 0.7, 1, 0.8 ],
	audienceWeightings: [  0.8, 0.9, 1 ]
	 }
,{ 
	id: "95196978-ba2e-41d3-a69f-5ce18b894c20",
	name: "Team Based",
	genreWeightings: [  1, 0.8, 1, 0.6, 1, 0.9 ],
	audienceWeightings: [  0.7, 0.9, 1 ]
	 }
,{ 
	id: "7a36967a-380d-4328-8723-2a9b7a11a273",
	name: "Chase",
	genreWeightings: [  1, 0.6, 0.6, 0.8, 0.6, 0.9 ],
	audienceWeightings: [  1, 1, 1 ]
	 }
,{ 
	id: "21eeaa65-8b3a-4709-a0d1-779d2c455ea2",
	name: "Farm",
	genreWeightings: [  0.6, 0.6, 0.6, 1, 0.6, 0.7 ],
	audienceWeightings: [  0.6, 0.8, 0.8 ]
	 }

]);

// ******************************************************************************************
// Events
// ******************************************************************************************


// ******************************************************************************************
// Achievements
// ******************************************************************************************

// Adding Great Job!
// -----------------------------------------------------------
UltimateLib.Achievements.add(UltimateLib.Achievements.create({
	id: "d978346a-9219-4753-9340-15f43a49675b",
	title: "Great Job!",
	description: "You have gone through 100 years, how are you still alive?",
	tint: "#C0504D",
	value: 5,
	hidden: false,
	canEarnMultiple: false,
	isAchieved: function () {
							var res = true;
							res =   GameManager.company.isLaterOrEqualThan(100, 1, 1);

						return res;
				}
	}));


})();
